Patch file metadata

Updates file metadata without re-uploading the file. Only provided fields are updated.

PATCH/api/v1/{app_id}/files/{file_id}
API
Auth
OpenAPI
auth-api
Updated
Apr 26, 2026

auth-api:PATCH:/api/v1/{app_id}/files/{file_id}

Updates file metadata without re-uploading the file. Only provided fields are updated.

API ownership

  • API family: Auth API
  • Best for: Customer identity, session, token, cart, and wishlist flows.
  • Do not use from: Merchant admin data syncs or public catalog rendering.
  • Guide route: /apis/auth/latest

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: PATCH
  • Path: /api/v1/\{app_id\}/files/\{file_id\}
  • Summary: Patch file metadata
  • Description: Updates file metadata without re-uploading the file. Only provided fields are updated.
  • OpenAPI contract: auth-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters2 parameters
NameInRequiredTypeDescription
app_idpathYesstringUUID of the app
file_idpathYesstringUUID of the file
Request bodyDocumented body
  • Required: Yes
  • Description: Fields to update
  • Content: application/json (object)

Patch File Request

PropertyTypeRequiredDetails
custom_fieldsobjectNo-
order_referencestringNo-
organisation_numberstringNo-
relationship_idsstring[]No-

Generated example (synthetic):

{
  "custom_fields": {},
  "order_reference": "string",
  "organisation_number": "string",
  "relationship_ids": [
    "string"
  ]
}
Responses4 statuses
StatusDescriptionContent
200OKapplication/json (object)
400Invalid requestapplication/json (object)
404File not foundapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

File

PropertyTypeRequiredDetails
app_idstringNo-
content_typestringNo-
created_atstringNo-
custom_fieldsobjectNo-
filenamestringNo-
idstringNo-
updated_atstringNo-
urlstringNo-

Generated example (synthetic):

{
  "app_id": "string",
  "content_type": "string",
  "created_at": "string",
  "custom_fields": {},
  "filename": "string",
  "id": "string",
  "updated_at": "string",
  "url": "string"
}

400 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

404 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

500 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Auth API
  • Method: PATCH
  • Path: /api/v1/\{app_id\}/files/\{file_id\}
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Files
  • OpenAPI summary: Patch file metadata

Patch file metadata

# Patch file metadata Updates file metadata without re-uploading the file. Only provided fields are updated.
PATCH /api/v1/{app_id}/files/{file_id}
Purpose

Updates file metadata without re-uploading the file.

Required inputs

app_id path file_id path

Primary response

200 ยท OK

Operation key

auth-api:PATCH:/api/v1/{app_id}/files/{file_id}

## API ownership - API family: Auth API - Best for: Customer identity, session, token, cart, and wishlist flows. - Do not use from: Merchant admin data syncs or public catalog rendering. - Guide route: [/apis/auth/latest](/apis/auth/latest) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `PATCH` - Path: `/api/v1/{app_id}/files/{file_id}` - Summary: Patch file metadata - Description: Updates file metadata without re-uploading the file. Only provided fields are updated. - OpenAPI contract: auth-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `auth-api:PATCH:/api/v1/{app_id}/files/{file_id}` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_id | path | Yes | string | UUID of the app | | file_id | path | Yes | string | UUID of the file | ## Request body - Required: Yes - Description: Fields to update - Content: application/json (object) ### Patch File Request | Property | Type | Required | Details | | --- | --- | --- | --- | | `custom_fields` | object | No | - | | `order_reference` | string | No | - | | `organisation_number` | string | No | - | | `relationship_ids` | string[] | No | - | **Generated example (synthetic):** ```json { "custom_fields": {}, "order_reference": "string", "organisation_number": "string", "relationship_ids": [ "string" ] } ``` ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | OK | application/json (object) | | 400 | Invalid request | application/json (object) | | 404 | File not found | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### File | Property | Type | Required | Details | | --- | --- | --- | --- | | `app_id` | string | No | - | | `content_type` | string | No | - | | `created_at` | string | No | - | | `custom_fields` | object | No | - | | `filename` | string | No | - | | `id` | string | No | - | | `updated_at` | string | No | - | | `url` | string | No | - | **Generated example (synthetic):** ```json { "app_id": "string", "content_type": "string", "created_at": "string", "custom_fields": {}, "filename": "string", "id": "string", "updated_at": "string", "url": "string" } ``` ### 400 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 404 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 500 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Auth API - Method: `PATCH` - Path: `/api/v1/{app_id}/files/{file_id}` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `auth-api:PATCH:/api/v1/{app_id}/files/{file_id}` - OpenAPI tag: Files - OpenAPI summary: Patch file metadata